package org.ajax4jsf.gwt.jsf;

import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;
import javax.faces.event.PhaseListener;

import com.google.gwt.user.server.rpc.RPCRequest;

public abstract class GwtCallListener implements PhaseListener {

    public void afterPhase(PhaseEvent event) {
    }

    public void beforePhase(PhaseEvent event) {
    }

    public abstract String processRequest(RPCRequest call);

    public PhaseId getPhaseId() {
        return PhaseId.INVOKE_APPLICATION;
    }

}
